//
//  MyMapAnnotation.m
//  Near TEECOM
//
//  Created by Alex Serriere on 12/21/11.
//  Copyright (c) 2011 TEECOM. All rights reserved.
//

#import "MyMapAnnotation.h"

@implementation MyMapAnnotation

@synthesize coordinate,title,subtitle,longitude,latitude;

- (void)setCoordinate:(CLLocationCoordinate2D)newCoordinate
{
    [self setLatitude:[NSNumber numberWithDouble:newCoordinate.latitude]];
    [self setLongitude:[NSNumber numberWithDouble:newCoordinate.longitude]];
}

// Implementing this method ensures the Key-Value observers will be notified when the properties
// from which coordinate is derived have changed.
+ (NSSet *)keyPathsForValuesAffectingCoordinate
{
    return [NSSet setWithObjects:@"latitude", @"longitude", nil];
}

// derive the coordinate property.
- (CLLocationCoordinate2D)coordinate
{
    coordinate.latitude = self.latitude.doubleValue;
    coordinate.longitude = self.longitude.doubleValue;
    return coordinate;
}

// required if you set the MKPinAnnotationView's "canShowCallout" property to YES
- (NSString *)title
{
    return @"TEECOM HQ";
}

// optional
- (NSString *)subtitle
{
    return @"1333 Broadway Ste 601 Oakland CA 94612";
}

@end
