//
//  ViewController.m
//  Near TEECOM
//
//  Created by Alex Serriere on 12/14/11.
//  Copyright (c) 2011 TEECOM. All rights reserved.
//

#import <QuartzCore/QuartzCore.h>
#import "ViewController.h"
#import <SystemConfiguration/CaptiveNetwork.h>

@interface ViewController(privateMethods)
- (void) getNetworkBSSID:(id) sender;
@end

@implementation ViewController


@synthesize currentLongitude,distanceToTEECOM,mapView,currentBSSID,buttonBSSID;

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    [mapView setShowsUserLocation:YES];
    
    mapView.layer.cornerRadius = 10;
    //mapView.layer.borderColor = [CGColor whiteColor];
    
    // Set up our BSSID button to do stuff
    [buttonBSSID addTarget:self action:@selector(getNetworkBSSID:) forControlEvents:UIControlEventTouchUpInside];
    
    // Show the current BSSID
    [self getNetworkBSSID:self];
    
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

- (void)getNetworkBSSID:(id) sender
{
    
    NSArray* interfaces = nil;
    interfaces = (__bridge NSArray*) CNCopySupportedInterfaces();
    
    NSLog(@"Interfaces: %@", [interfaces description]);
    
    for (NSString* interface in interfaces) {
        NSDictionary* networkDetails = (__bridge NSDictionary*)CNCopyCurrentNetworkInfo((__bridge CFStringRef) interface);
        if (networkDetails) {
            NSLog(@"all details: %@", [networkDetails description]);
            NSString *BSSID = [NSString stringWithFormat:@"%@",[networkDetails objectForKey:@"BSSID"]];
            //NSLog(@"BSSID: %@", BSSID);
            if([BSSID length] < 17) {
                [currentBSSID setText:@"Unavailable!"];
            } else {
                [currentBSSID setText:BSSID];
            }
        }
    }
    
    

    
}



@end
